admsXml(1)

NAME
admsXml - An automatic device model synthesizer.

SYNOPSIS
admsXml source [OPTIONS] -e script1 [-e script2 ...]

DESCRIPTION
admsXml is a code generator that converts electrical compact device models specified in high-level description language into ready-to-compile c code for the API of spice simulators.

FILES

source
    verilog-ams source code

script1, ...
    admst scripts (xml format)

OPTIONS

-D NAME
    predefine NAME as a macro, with definition `1'

-D NAME=DEFINITION
    predefine NAME as a macro, with definition DEFINITION

-I DIR
    Add directory DIR to search path for header files

-x  ignore file .adms.implicit.xml

-xv do not check version number of scripts

-i, --info
    miscellaneous info (release, web site, mailing list)

-v, --version
    version number

-h, --help
    short help

ENVIRONMENT VARIABLES

- adms_info="yes"|"no"
    print info [default=yes]

- adms_usage="yes"|"no"
    print usage [default=yes]

- adms_verbose="yes"|"no"
    print messages [default=no]

- adms_debug="yes"|"no"
    print more messages [default=no]

- adms_dbg_vla="yes"|"no"
    debug messages during vla parsing [default=no]

- adms_dbg_xml="yes"|"no"
    debug messages during xml parsing [default=no]

- adms_dbg_pre="yes"|"no"
    debug messages during vla preprocessing [default=no]

AVAILABILITY
The latest version of admsXml can always be obtained from mot-adms.sourceforge.net

REPORTING BUGS
Known bugs are documented within the BUGS file. Report bugs to <r29173@users.sourceforge.net>.

COPYRIGHT

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

AUTHORS
Written by Laurent Lemaitre <r29173@users.sourceforge.net>.